> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://agentinbox.space/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://agentinbox.space/_mcp/server.

# Обновить черновик

PATCH https://api.agentinbox.space/v0/inboxes/{inbox_id}/drafts/{draft_id}
Content-Type: application/json

**CLI:**

```bash
agentinbox inboxes:drafts update --inbox-id <inbox_id> --draft-id <draft_id> --subject "Updated subject"
```

Reference: https://agentinbox.space/api-reference/inboxes/drafts/update

## Authentication

- `Authorization` header (required) (prefixed with ` Bearer   `) — Header authentication of the form `Bearer  <token>`

## Servers

- `https://api.agentinbox.space` (prod, default)
- `https://x402.api.agentinbox.space` (prod-x402)
- `https://mpp.api.agentinbox.space` (prod-mpp)
- `https://api.agentinbox.space` (eu-prod)

## Request

### Path parameters

- `inbox_id` (string, required) — Идентификатор ящика.
- `draft_id` (string, required) — Идентификатор черновика.

### Body (application/json)

This endpoint expects an UpdateDraftRequest.

- `reply_to` (list of string, optional) — Адреса Reply-To. Формат `username@domain.com` или `Имя <username@domain.com>`.
- `to` (list of string, optional) — Адреса получателей. Формат `username@domain.com` или `Имя <username@domain.com>`.
- `cc` (list of string, optional) — Адреса CC. Формат `username@domain.com` или `Имя <username@domain.com>`.
- `bcc` (list of string, optional) — Адреса BCC. Формат `username@domain.com` или `Имя <username@domain.com>`.
- `subject` (string, optional) — Тема черновика.
- `text` (string, optional) — Тело черновика в виде обычного текста.
- `html` (string, optional) — Тело черновика в HTML.
- `send_at` (datetime, optional) — Время запланированной отправки черновика.

## Response

### 200

- `inbox_id` (string, required) — Идентификатор ящика.
- `draft_id` (string, required) — Идентификатор черновика.
- `labels` (list of string, required) — Метки черновика.
- `updated_at` (datetime, required) — Время последнего обновления черновика.
- `created_at` (datetime, required) — Время создания черновика.
- `client_id` (string, optional) — Client ID черновика.
- `reply_to` (list of string, optional) — Адреса Reply-To. Формат `username@domain.com` или `Имя <username@domain.com>`.
- `to` (list of string, optional) — Адреса получателей. Формат `username@domain.com` или `Имя <username@domain.com>`.
- `cc` (list of string, optional) — Адреса CC. Формат `username@domain.com` или `Имя <username@domain.com>`.
- `bcc` (list of string, optional) — Адреса BCC. Формат `username@domain.com` или `Имя <username@domain.com>`.
- `subject` (string, optional) — Тема черновика.
- `preview` (string, optional) — Текстовый превью черновика.
- `text` (string, optional) — Тело черновика в виде обычного текста.
- `html` (string, optional) — Тело черновика в HTML.
- `attachments` (list of Attachment, optional) — Вложения черновика.
- `in_reply_to` (string, optional) — Идентификатор сообщения, на которое отвечают.
- `references` (list of string, optional) — Идентификаторы предыдущих сообщений в цепочке.
- `send_status` (enum, optional) — Статус отложенной отправки черновика.
  - Allowed values: `scheduled`, `sending`, `failed`
- `send_at` (datetime, optional) — Время запланированной отправки черновика.

## Errors

### 404 Not Found Error

- `name` (string, required) — Имя ошибки.
- `message` (string, required) — Текст сообщения об ошибке.

## Types

### Attachment

- `attachment_id` (string, required) — Идентификатор вложения.
- `size` (integer, required) — Размер вложения в байтах.
- `filename` (string, optional) — Имя файла вложения.
- `content_type` (string, optional) — MIME-тип вложения.
- `content_disposition` (enum, optional) — Content-Disposition вложения.
  - Allowed values: `inline`, `attachment`
- `content_id` (string, optional) — Content-ID вложения.

## Examples

**Request**

```json
{}
```

**Response**

```json
{
  "inbox_id": "inbox_id",
  "draft_id": "draft_id",
  "labels": [
    "labels",
    "labels"
  ],
  "updated_at": "2024-01-15T09:30:00Z",
  "created_at": "2024-01-15T09:30:00Z",
  "client_id": "client_id",
  "reply_to": [
    "reply_to",
    "reply_to"
  ],
  "to": [
    "to",
    "to"
  ],
  "cc": [
    "cc",
    "cc"
  ],
  "bcc": [
    "bcc",
    "bcc"
  ],
  "subject": "subject",
  "preview": "preview",
  "text": "text",
  "html": "html",
  "attachments": [
    {
      "attachment_id": "attachment_id",
      "size": 1,
      "filename": "filename",
      "content_type": "content_type",
      "content_disposition": "inline",
      "content_id": "content_id"
    },
    {
      "attachment_id": "attachment_id",
      "size": 1,
      "filename": "filename",
      "content_type": "content_type",
      "content_disposition": "inline",
      "content_id": "content_id"
    }
  ],
  "in_reply_to": "in_reply_to",
  "references": [
    "references",
    "references"
  ],
  "send_status": "scheduled",
  "send_at": "2024-01-15T09:30:00Z"
}
```

**SDK Code**

```python
import requests

url = "https://api.agentinbox.space/v0/inboxes/inbox_id/drafts/draft_id"

payload = {}
headers = {
    "Authorization": "Bearer  <api_key>",
    "Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.agentinbox.space/v0/inboxes/inbox_id/drafts/draft_id';
const options = {
  method: 'PATCH',
  headers: {Authorization: 'Bearer  <api_key>', 'Content-Type': 'application/json'},
  body: '{}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.agentinbox.space/v0/inboxes/inbox_id/drafts/draft_id"

	payload := strings.NewReader("{}")

	req, _ := http.NewRequest("PATCH", url, payload)

	req.Header.Add("Authorization", "Bearer  <api_key>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.agentinbox.space/v0/inboxes/inbox_id/drafts/draft_id")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer  <api_key>'
request["Content-Type"] = 'application/json'
request.body = "{}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.patch("https://api.agentinbox.space/v0/inboxes/inbox_id/drafts/draft_id")
  .header("Authorization", "Bearer  <api_key>")
  .header("Content-Type", "application/json")
  .body("{}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('PATCH', 'https://api.agentinbox.space/v0/inboxes/inbox_id/drafts/draft_id', [
  'body' => '{}',
  'headers' => [
    'Authorization' => 'Bearer  <api_key>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.agentinbox.space/v0/inboxes/inbox_id/drafts/draft_id");
var request = new RestRequest(Method.PATCH);
request.AddHeader("Authorization", "Bearer  <api_key>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "Bearer  <api_key>",
  "Content-Type": "application/json"
]
let parameters = [] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.agentinbox.space/v0/inboxes/inbox_id/drafts/draft_id")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "PATCH"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```